<?php $__env->startSection('title', 'الأقسام الرئيسية'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الأقسام الرئيسية</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('categories.store')); ?>" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الأسم باللغة العربية</label>
                                <input type="text" class="form-control" value="<?php echo e(old('name_ar')); ?>" required
                                       name="name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم باللغة العربية">
                                <?php if($errors->has('name_ar')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('name_ar')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الأسم باللغة الإنجليزية</label>
                                <input type="text" class="form-control" value="<?php echo e(old('name_en')); ?>" required
                                       name="name_en"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم باللغة الإنجليزية">
                                <?php if($errors->has('name_en')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('name_en')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleSelect1">إظهار خصائص السيارات</label>
                                <select name="car_option" class="form-control" id="exampleSelect1">
                                    <option value="true">إظهار</option>
                                    <option value="false">إخفاء</option>
                                </select>
                            </div>
                            <?php if($errors->has('car_option')): ?>
                                <small class="text-danger"><?php echo e($errors->first('car_option')); ?></small>
                            <?php endif; ?>
                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="status" class="form-control" id="exampleSelect1">
                                    <option value="active">مفعل</option>
                                    <option value="not_active">غير مفعل</option>
                                </select>
                            </div>
                            <?php if($errors->has('status')): ?>
                                <small class="text-danger"><?php echo e($errors->first('status')); ?></small>
                            <?php endif; ?>
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">

                                        <h4 class="header-title mb-4">صورة القسم</h4>

                                        <input type="file" name="image" required class="dropify" data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                            </div>
                            <?php if($errors->has('image')): ?>
                                <small class="text-danger"><?php echo e($errors->first('image')); ?></small>
                            <?php endif; ?>
                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/haraj/resources/views/admin/categories/create.blade.php ENDPATH**/ ?>